## bumblebee 0.1.0

=== DESCRIPTION ===
Package: bumblebee
Title: Quantify Disease Transmission Within and Between Population
        Groups
Version: 0.1.0
Authors@R: c(
    person("Lerato E", "Magosi", email = "lmagosi@hsph.harvard.edu",
        role = "aut", comment = c(ORCID = "0000-0002-3388-9892")),
    person("Marc", "Lipsitch", email = "mlipsitc@hsph.harvard.edu", 
        role = "aut"), 
    person("Lerato E", "Magosi", email = "magosil86@gmail.com", 
        role = "cre"))
Description: A simple tool to quantify the amount of transmission
   of an infectious disease of interest occurring within and between 
   population groups. 'bumblebee' uses counts of observed directed 
   transmission pairs, identified phylogenetically from deep-sequence data or 
   from epidemiological contacts, to quantify transmission flows within and 
   between population groups accounting for sampling heterogeneity. Population 
   groups might include: geographical areas (e.g. communities, regions), 
   demographic groups (e.g. age, gender) or arms of a randomized clinical 
   trial. See the 'bumblebee' website for statistical theory, documentation 
   and examples <https://magosil86.github.io/bumblebee/>.
License: MIT + file LICENSE
URL: https://magosil86.github.io/bumblebee/
BugReports: https://github.com/magosil86/bumblebee/issues
LazyData: true
Depends: R (>= 2.10)
Imports: dplyr (>= 1.0.2), gtools (>= 3.8.2), Hmisc (>= 4.4-2),
        magrittr (>= 2.0.1), rmarkdown (>= 2.6)
Suggests: covr (>= 3.5.1), knitr (>= 1.30), markdown (>= 1.1), testthat
        (>= 3.0.1)
Encoding: UTF-8
RoxygenNote: 7.1.1
Config/testthat/edition: 3
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-05-10 11:16:58 UTC; lmagosi
Author: Lerato E Magosi [aut] (<https://orcid.org/0000-0002-3388-9892>),
  Marc Lipsitch [aut],
  Lerato E Magosi [cre]
Maintainer: Lerato E Magosi <magosil86@gmail.com>
Repository: CRAN
Date/Publication: 2021-05-11 09:42:19 UTC

## bumblebee 3.2.1

=== debian/changelog ===
bumblebee (3.2.1-27) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes
  * Backport pcie_id_overrun.patch to fix support for PCI bus numbers
    greater than 99 (Closes: #979006)
  * Bump watch file version to 4, no changes
  * Drop bumblebee-nvidia.lintian-overrides, no longer necessary
  * Backport disable-hard-dpms.patch to fix performance drop after 10
    minutes
  * Add Applied-Upstream tag to patch headers as expected by Lintian
  * Add Forwaded tag to patches that are pending merge upstream
  * Format remaining patches to follow DEP-3
  * Backport patch to fix compiler warnings
  * add Ubuntu's dependencies for 455 driver series

 -- Luca Boccassi <bluca@debian.org>  Sat, 02 Jan 2021 13:54:24 +0000

bumblebee (3.2.1-26) unstable; urgency=medium

  [ Andreas Beckmann ]
  * bumblebee-nvidia: Activate the register-glx-alternative-nvidia trigger.
  * bumblebee-nvidia: Do not let an nvidia dkms package satisfy the driver
    dependency while libraries are missing.  (Closes: #966557)

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 22 Aug 2020 22:31:43 +0200

bumblebee (3.2.1-25) unstable; urgency=medium

  * bumblebee-nvidia: Add Tesla 450 driver as alternative dependency.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 Jul 2020 14:23:13 +0200

bumblebee (3.2.1-24) unstable; urgency=medium

  * bumblebee-nvidia: Add arch restrictions to dependencies.
  * bumblebee-nvidia: Build for armhf, arm64 and ppc64el, too.
    (Closes: #963681)
  * bumblebee: Depend on pciutils for lspci usage in postinst on Ubuntu.
    (Closes: #964377)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Jul 2020 17:35:19 +0200

bumblebee (3.2.1-23) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Do not recommend unavailable virtualgl on Debian.  (Closes: #881337)
  * Fix FTBFS with gcc-10.  (Closes: #957058)
  * Switch to debhelper-compat (= 13).
  * Use dh_bash-completion.
  * Simplify rules and use bumblebee.install etc. for installation.
  * Remove obsolete conffile /etc/bumblebee/xorg.conf.d/10-dummy.conf.
  * bumblebee-nvidia: Recommend nvidia-primus-vk-wrapper.
  * optirun: Export ENABLE_PRIMUS_LAYER=1 when using primus backend to let
    primus-vk (if available) handle Vulkan applications.  (Closes: #892646)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Jun 2020 20:55:55 +0200

bumblebee (3.2.1-22) unstable; urgency=medium

  * Ship empty /etc/modprobe.d directory.
  * Generate vendor-specific modprobe.d/bumblebee.conf.
  * Collect more information with reportbug.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Mar 2020 23:37:06 +0100

bumblebee (3.2.1-21) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Recommend primus-libs instead of primus.
  * Downgrade bbswitch dependency to Recommends.
  * Add only local users to the bumblebee group.  (Closes: #928119)
  * Generate vendor-specific driver dependency lists for bumblebee-nvidia.
  * Add alternative dependency on Tesla driver.  (Closes: #946556)
  * Move bumblebeed manpage to section 8.
  * Fall back to /usr/lib/<triplet>/libGL.so.1 as the "nvidia" libGL.so.1 for
    glvnd-enabled nvidia drivers that no longer provide a proprietary
    libGL.so.1 replacement.  (Closes: #947661)
  * Stop manipulating the glx alternative (Debian).
  * Add Ubuntu's dependencies for 418, 430, 435, and 440 driver series.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Add myself to Uploaders.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Mar 2020 13:58:32 +0100

bumblebee (3.2.1-20) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Drop versioned constraints that are satisfied in wheezy.
  * Switch to debhelper-compat (= 12).

  [ Luca Boccassi ]
  * Enable all hardening build flags.
  * bumblebee-nvidia: add Ubuntu's dependencies for 390 and 410 series.

 -- Luca Boccassi <bluca@debian.org>  Wed, 06 Feb 2019 11:57:48 +0000

bumblebee (3.2.1-19) unstable; urgency=medium

  * Use wildcard to install bash completion file.
  * Backport patch to support AMD APU setups.
  * Backport patch to support nvidia drivers without bbswitch.
  * Bump Standards-Version to 4.3.0, no changes.
  * Set debhelper compat to 11.

 -- Luca Boccassi <bluca@debian.org>  Mon, 31 Dec 2018 18:12:20 +0000

bumblebee (3.2.1-18) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add support for the 390xx legacy driver package available in Debian.
    (Closes: #916448)
  * The dbgsym migration was done in stretch.
  * Switch Vcs-* URLs to salsa.debian.org.
  * Set Rules-Requires-Root: no.

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.2.1.
  * Remove obsolete conffile /etc/init/bumblebeed.conf. Thanks Ansgar!
    (Closes: #914979)

 -- Luca Boccassi <bluca@debian.org>  Fri, 14 Dec 2018 16:02:16 +0000

bumblebee (3.2.1-17) unstable; urgency=medium

  * Switch the triggers to -noawait to fix Lintian warning and to make
    things easier for apt/dpkg. Both restarting bumblebeed and re-building
    the initramfs can be deferred.
  * B-D on debhelper (>= 9.20160709) instead of dh-systemd to fix L:E.
  * Switch Uploaders field to bluca@debian.org email address.
  * Switch from priority extra to optional to fix L:W and comply with
    Policy 4.0.1.
  * Do not ship Upstart file anymore, fixes L:W.
  * Add 387 series to dependencies for Ubuntu.
  * Bump Standards-Version to 4.1.2.

 -- Luca Boccassi <bluca@debian.org>  Fri, 08 Dec 2017 23:07:05 +0000

bumblebee (3.2.1-16) unstable; urgency=medium

  * Ubuntu: fix typo in modprobe, really support 378

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sun, 02 Jul 2017 10:36:52 +0100

bumblebee (3.2.1-15) unstable; urgency=medium

  * Use https in debian/copyright
  * Bump Standards-Version to 4.0.0
  * Ubuntu: add support for 375, 378, 381 and 384



=== debian/control ===
Source: bumblebee
Section: utils
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 Yunqiang Su <wzssyqa@gmail.com>,
 Luca Boccassi <bluca@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 help2man,
 libbsd-dev,
 libglib2.0-dev,
 libx11-dev,
 pkg-config,
 libkmod-dev,
 bash-completion,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://launchpad.net/~bumblebee
Vcs-Browser: https://salsa.debian.org/nvidia-team/bumblebee
Vcs-Git: https://salsa.debian.org/nvidia-team/bumblebee.git

Package: bumblebee
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base,
 xserver-xorg-core (>= 2:1.18),
 ${bumblebee:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 bbswitch-dkms | bbswitch-source,
 ${bumblebee:backend},
Suggests:
 bumblebee-nvidia (= ${binary:Version}),
Description: NVIDIA Optimus support for Linux
 Bumblebee is an effort to make NVIDIA Optimus enabled laptops work in
 GNU/Linux systems. These laptops are built in such a way that the NVIDIA
 graphics card can be used on demand so that battery life is improved and
 temperature is kept low.
 .
 It disables the discrete graphics card if no client is detected, and starts
 an X server making use of NVIDIA card if requested then let software GL
 implementations (such as VirtualGL) copy frames to the visible display that
 runs on the integrated graphics. The ability to use discrete graphics
 depends on the driver: open source nouveau and proprietary nvidia.

Package: bumblebee-nvidia
Architecture: amd64 i386 armhf arm64 ppc64el
Section: contrib/utils
Depends:
 bumblebee (= ${binary:Version}),
 ${misc:Depends},
 ${nvidia:Depends},
Recommends:
 nvidia-primus-vk-wrapper,
Description: NVIDIA Optimus support using the proprietary NVIDIA driver
 This metapackage ensures that the proprietary NVIDIA driver is installed in a
 way such that 3D acceleration does not break. It does so by configuring the
 OpenGL library path to use the Mesa graphics library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

get_variant		 = $(word 1,$(subst _, ,$1))
get_constraint		 = $(1:$(call get_variant,$1)%=%)

nv_variant_Debian	+= tesla-450_[amd64_arm64_ppc64el]
nv_variant_Debian	+= tesla-440_[amd64_ppc64el]
nv_variant_Debian	+= tesla-418_[amd64_ppc64el]
nv_variant_Debian	+= legacy-390xx_[amd64_i386_armhf]
nv_variant_Debian	+= legacy-340xx_[amd64_i386_armhf]

nv_driver_Debian	+= nvidia-driver_[!i386_!armhf_!ppc64el]
nv_driver_Debian	+= $(foreach v,$(nv_variant_Debian),nvidia-$(call get_variant,$v)-driver$(call get_constraint,$v))
nv_driver_Debian	+= nvidia-driver-any

nv_module_Debian	+= nvidia
nv_module_Debian	+= nvidia-current
nv_module_Debian	+= $(foreach v,$(nv_variant_Debian),nvidia-$(call get_variant,$v))

nv_version_Ubuntu	+= 455_[amd64]
nv_version_Ubuntu	+= 450_[amd64]
nv_version_Ubuntu	+= 450-server_[amd64]
nv_version_Ubuntu	+= 440_[amd64]
nv_version_Ubuntu	+= 440-server_[amd64]
nv_version_Ubuntu	+= 435_[amd64]
nv_version_Ubuntu	+= 430_[amd64]
nv_version_Ubuntu	+= 418_[amd64]
nv_version_Ubuntu	+= 418-server_[amd64]
nv_version_Ubuntu	+= 410_[amd64]
nv_version_Ubuntu	+= 390_[amd64_i386] #_armhf
nv_version_old_Ubuntu	+= 387 384 381 378 375 367 364 361 358 355 352 349 346 343 340 337 334 331 325 319 313 310 304

nv_driver_Ubuntu	+= nvidia_[amd64_i386]
nv_driver_Ubuntu	+= nvidia-current_[amd64_i386]
nv_driver_Ubuntu	+= nvidia-current-updates_[amd64_i386]
nv_driver_Ubuntu	+= nvidia-driver-binary_[amd64_i386]
nv_driver_Ubuntu	+= $(foreach v,$(nv_version_Ubuntu),nvidia-driver-$(call get_variant,$v)$(call get_constraint,$v))
nv_driver_Ubuntu	+= $(foreach version,$(nv_version_old_Ubuntu),nvidia-$(version)_[amd64_i386] nvidia-$(version)-updates_[amd64_i386] nvidia-experimental-$(version)_[amd64_i386])

nv_module_Ubuntu	+= $(filter-out nvidia-driver-binary,$(foreach v,$(nv_driver_Ubuntu),$(call get_variant,$v)))


VENDOR	:= $(shell dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)

bb_depends_Debian	 =
bb_depends_Ubuntu	 = pciutils

bbnv_depends_Debian	 = glx-alternative-nvidia (>= 0.6.92)
bbnv_depends_Ubuntu	 =

bb_backend_Debian	 = primus-libs
bb_backend_Ubuntu	 = virtualgl | primus-libs

MAINTSCRIPTS_GENERATED		 = $(MAINTSCRIPTS_GENERATED.$(VENDOR))
MAINTSCRIPTS_GENERATED		+= debian/bumblebee.conf
MAINTSCRIPTS_GENERATED.Debian	+= debian/bumblebee-nvidia.postinst
MAINTSCRIPTS_GENERATED.Ubuntu	+= debian/bumblebee-nvidia.postinst
MAINTSCRIPTS_GENERATED.Ubuntu	+= debian/bumblebee-nvidia.postrm

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

%:
	dh $@ --with bash_completion

override_dh_auto_configure: $(MAINTSCRIPTS_GENERATED)
ifeq ($(VENDOR),Ubuntu)
	dh_auto_configure -- \
		CONF_DRIVER_MODULE_NVIDIA=nvidia \
		CONF_LDPATH_NVIDIA=/usr/lib/nvidia-current:/usr/lib32/nvidia-current:/usr/lib/x86_64-linux-gnu:/usr/lib/i386-linux-gnu \
		CONF_MODPATH_NVIDIA=/usr/lib/nvidia-current/xorg,/usr/lib/xorg/modules \
		CONF_PRIMUS_LD_PATH=/usr/lib/x86_64-linux-gnu/primus:/usr/lib/i386-linux-gnu/primus \
		CONF_XORG_BINARY=/usr/lib/xorg/Xorg
else
	dh_auto_configure -- \
		CONF_DRIVER_MODULE_NVIDIA=nvidia \
		CONF_LDPATH_NVIDIA=/usr/lib/x86_64-linux-gnu/nvidia:/usr/lib/i386-linux-gnu/nvidia:/usr/lib/x86_64-linux-gnu:/usr/lib/i386-linux-gnu \
		CONF_MODPATH_NVIDIA=/usr/lib/nvidia,/usr/lib/xorg/modules \
		CONF_PRIMUS_LD_PATH=/usr/lib/x86_64-linux-gnu/primus:/usr/lib/i386-linux-gnu/primus \
		CONF_XORG_BINARY=/usr/lib/xorg/Xorg
endif

execute_after_dh_clean:
	$(RM) $(MAINTSCRIPTS_GENERATED)

override_dh_installinit:
	dh_installinit --name=bumblebeed

override_dh_bugfiles:
	dh_bugfiles -A

override_dh_gencontrol:
	dh_gencontrol -- \
		-V'bumblebee:Depends=$(bb_depends_$(VENDOR))' \
		-V'nvidia:Depends=$(bbnv_depends_$(VENDOR)), $(subst _, ,$(foreach d,$(nv_driver_$(VENDOR)),$(d) |))' \
		-V'bumblebee:backend=$(bb_backend_$(VENDOR))'

debian/%: debian/%.$(VENDOR)
	cp -a $< $@

debian/bumblebee.conf: debian/rules
	$(RM) $@
	echo '# This file is installed by bumblebee, do NOT edit!' >> $@
	echo '# to be used by kmod / module-init-tools, and installed in /etc/modprobe.d/' >> $@
	echo '# or equivalent' >> $@
	echo '' >> $@
	echo '# do not automatically load nouveau as it may prevent nvidia from loading' >> $@
	echo 'blacklist nouveau' >> $@
	echo '' >> $@
	echo '# do not automatically load nvidia as it'"'"'s unloaded anyway when bumblebeed' >> $@
	echo '# starts and may fail bumblebeed to disable the card in a race condition.' >> $@
	for module in $(nv_module_$(VENDOR)) ; do echo "blacklist $$module" >> $@ ; done

=== debian/watch ===
version=4
https://github.com/Bumblebee-Project/Bumblebee/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
